package id.co.sangkuriang.inovasi.daerah.master.service

import id.co.sangkuriang.inovasi.daerah.master.model.request.DeleteDataRequest
import id.co.sangkuriang.inovasi.daerah.master.model.request.PaginationRequest
import id.co.sangkuriang.inovasi.daerah.master.pojo.Regency
import org.springframework.http.ResponseEntity
import javax.servlet.http.HttpServletRequest

interface RegencyService {

    fun getAll(page: PaginationRequest): ResponseEntity<*>?

    fun getDetail(id: String): ResponseEntity<*>?

    fun saveData(request: Regency): ResponseEntity<*>?

    fun updateData(id: String, request: Regency): ResponseEntity<*>?

    fun deleteData(request: DeleteDataRequest, httpServletRequest: HttpServletRequest): ResponseEntity<*>?
}
